/* snprintf.c - emulate BSD snprintf with sprintf - rick sladkey */

#include <stdio.h>
#include <stdarg.h>

int snprintf(char *s, int len, char *format, ...)
{
	va_list args;
	int result;

	va_start(args, format);
#ifdef BROKEN_VARARGS
	/* JRP - dain-bramanged alpha va_start only groks beginning of list */
	va_arg(args, char*);	/* s */
	va_arg(args, int);	/* len */
	va_arg(args, char*);	/* format */
#endif
	result = vsprintf(s, format, args);
	va_end(args);
	return result;
}
