#include <errno.h>
#include <sys/syscall.h>
#include <sys/time.h>

int
__select(int nd, fd_set * in, fd_set * out, fd_set * ex,
	struct timeval * tv)
{
	long __res;

	__res = syscall(SYS_select, nd, in, out, ex, tv);
	if (__res >= 0)
		return (int) __res;
	errno = -__res;
	return -1;
}
