#include <syscall.h>
#include <sys/signal.h>

int sigsuspend(sigset_t *sigmask)
{
	int res;

	res = syscall(SYS_sigsuspend, 0, 0, *sigmask);

	if (res >= 0)
		return res;
	errno = -res;
	return -1;
}
