#include <errno.h>
#include <sys/ioctl.h>
#include <sys/syscall.h>
#include <stdarg.h>

int
__ioctl(int fildes, int cmd, ...)
{
	int res;
	va_list arg;

	va_start(arg,cmd);

#ifdef BROKEN_VARARGS
	/* JRP - dain-bramanged alpha va_start only groks beginning of list */
	va_arg(arg, int);	/* fildes */
	va_arg(arg, int); /* cmd */
#endif
	res = syscall(SYS_ioctl, fildes, cmd, va_arg(arg, int));

	if (res>=0)
		return res;

	errno = -res;
	va_end(arg);
	return -1;
}
