#include <unistd.h>
#include <sys/syscall.h>
#include <errno.h>

extern void * ___brk_addr;

void *
__sbrk(ptrdiff_t increment)
{
	void * tmp = ___brk_addr+increment;

	___brk_addr = syscall(SYS_brk, tmp);

	if (___brk_addr == tmp)
		return tmp-increment;
	errno = ENOMEM;
	return ((void *) -1);
}
