#include <errno.h>
#include <sys/resource.h>
#include <sys/syscall.h>

#define PZERO	15

int
getpriority(int which, int who)
{
	long res;

	res = syscall(SYS_getpriority, which, who);

	if (res >= 0) {
		errno = 0;
		return (int) PZERO - res;
	}
	errno = -res;
	return -1;
}
